<?php
/**
 * Main Navigation - Auxiliary
 *
 * Please review documentation upon first use, and, as-needed:
 * https://docs.vincentdevelopment.ca/docs/starter-v3-enhancements/navigation-aux.html
 */

namespace CWC;

// Init Variables
global $wp, $views;

$menus = get_nav_menu_locations();

if ( isset( $menus['aux_navigation'] ) ) {
	$navItems = wp_get_nav_menu_items( $menus['aux_navigation'] );
}

$currentPageURL = home_url( $wp->request ) . '/';

$profile = getFieldValue( 'social_media.profile_name' ) ? getFieldValue( 'social_media.profile_name' ) : ''
?>

<div class="nav-aux__container hidden lg:block w-full py-0">
	<div class="header__nav-aux container flex items-center justify-end gap-x-4 gap-y-0 flex-wrap text-white py-0">
		<nav class="nav-aux py-0" role="navigation" aria-label="Auxiliary navigation">
			<?php
			if ( has_nav_menu( 'aux_navigation' ) ) {
				// Initialize and render menu items
				$menuItems = new MenuItems( 'aux_navigation' );
				$menuItems->render();
			}
			?>
		</nav>

		<?php get_template_part( 'views/partials/social-media' ); ?>

        <span class="font-semibold text-16px"><?php echo esc_html( $profile ); ?></span>
	</div>
</div>
